# i2psnark in docker

### building
to build container
```sh
make
```
this will build latest stable [i2pnark-standalone](https://github.com/i2p/i2p.i2p) and [i2psnark-rpc](https://github.com/i2p/i2p.plugins.i2psnark-rpc)

---

**NOTE**: i2psnark will not automatically updates

to do this manually
```sh
make clean all
```


### running
due to it is i2pnark-**standalone** you need separate i2p router
with i2cp enabled

`/etc/i2pd/i2pd.conf`:
```conf
[i2cp]
enabled = true
address = 127.0.0.1
port    = 7654
```

---

use [i2psnark.sh](i2psnark.sh) script to run
```sh
sh ./i2psnark.sh -h
```

---

```sh
sh ./i2psnark.sh bg
```
run in background

also docker will automatically start i2psnark after system reboot
(after `dockerd` service start)


after starting oepn http://127.0.0.1:8002 in browser
or use transmission client on `8002` port
```sh
transmission-remote 8002 -l
```
